---
interface Props {
  title: string;
}

const { title } = Astro.props;
---

<!doctype html>
<html lang="ru">
    <head>
        <meta charset="UTF-8"/>
        <meta name="description" content="Astro description"/>
        <meta name="viewport" content="width=device-width"/>
        <link rel="icon" type="image/svg+xml" href="/favicon.svg"/>
        <link
                href="https://fonts.googleapis.com/css2?family=JetBrains+Mono:wght@400;500;600;700;800&display=swap"
                rel="stylesheet"
        />
        <meta name="generator" content={Astro.generator}/>
        <title>{title}</title>
    </head>
    <body class="font-jetbrains text-neutral-900 dark:text-neutral-100 bg-neutral-100 dark:bg-neutral-900 min-h-screen flex flex-col">
        <slot/>
        <footer>
            <p class="bg-black px-8 py-2 text-neutral-500 flex justify-center items-center text-sm">
                Copyright © 2023 41T, LLC
            </p>
        </footer>
    </body>
</html>
